org.apache.ignite.internal.processors.odbc

## Class OdbcUtils

- java.lang.Object
- - org.apache.ignite.internal.processors.odbc.OdbcUtils

    public class OdbcUtils
    extends Object

Various ODBC utility methods.

### Method Summary

Methods
`static String` `addQuotationMarksIfNeeded(String str)` Add quotation marks at the beginning and end of the string.
`static String` `getIgniteTypeFromOdbcType(String odbcDataType)` Lookup Ignite data type corresponding to specific ODBC data type
`static String` `removeQuotationMarksIfNeeded(String str)` Remove quotation marks at the beginning and end of the string if present.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### addQuotationMarksIfNeeded

    public static String addQuotationMarksIfNeeded(String str)

Add quotation marks at the beginning and end of the string.

Parameters:
  `str` - Input string.
Returns:
  String surrounded with quotation marks.

#### removeQuotationMarksIfNeeded

    public static String removeQuotationMarksIfNeeded(String str)

Remove quotation marks at the beginning and end of the string if present.

Parameters:
  `str` - Input string.
Returns:
  String without leading and trailing quotation marks.

#### getIgniteTypeFromOdbcType

    public static String getIgniteTypeFromOdbcType(String odbcDataType)

Lookup Ignite data type corresponding to specific ODBC data type

Parameters:
  `odbcDataType` - ODBC data type identifier
Returns:
  Ignite data type name

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.0.0
Release Date | : April 30 2017